const axios = require('axios');

const generateNPC = async (data) => {
  const stats = {
    strength: Math.floor(Math.random() * 20) + 1,
    dexterity: Math.floor(Math.random() * 20) + 1,
    constitution: Math.floor(Math.random() * 20) + 1,
    intelligence: Math.floor(Math.random() * 20) + 1,
    wisdom: Math.floor(Math.random() * 20) + 1,
    charisma: Math.floor(Math.random() * 20) + 1,
  };

  const image = await generateImage(data);
  return { ...data, stats, image };
};

const generateImage = async (data) => {
  try {
    const prompt = `A ${data.race} ${data.gender} with ${data.eyeColor} eyes and ${data.hairColor} hair.`;
    const response = await axios.post(
      'https://api.openai.com/v1/images/generations',
      {
        prompt: prompt,
        n: 1,
        size: '1024x1024',
      },
      {
        headers: {
          Authorization: `Bearer ${process.env.OPENAI_API_KEY}`,
        },
      }
    );
    return response.data.data[0].url;
  } catch (error) {
    console.error('Error generating image:', error);
    throw new Error('Failed to generate image');
  }
};

module.exports = { generateNPC };
