const express = require('express');
const bodyParser = require('body-parser');
const cors = require('cors');
const { generateNPC } = require('./npcGenerator');

const app = express();
app.use(bodyParser.json());
app.use(cors());

app.post('/api/generate-npc', async (req, res) => {
  const npcData = req.body;
  try {
    const npc = await generateNPC(npcData);
    res.json(npc);
  } catch (error) {
    res.status(500).json({ error: error.message });
  }
});

const PORT = process.env.PORT || 5000;
app.listen(PORT, () => {
  console.log(`Server is running on port ${PORT}`);
});
