#!/bin/bash

# Step 1: Install frontend dependencies
echo "Installing frontend dependencies..."
cd ../frontend
npm install

# Step 2: Install backend dependencies
echo "Installing backend dependencies..."
cd ../backend
npm install

# Step 3: Create .env file
echo "Creating .env file..."
if [ ! -f .env ]; then
  cat <<EOT >> .env
OPENAI_API_KEY=your_openai_api_key_here
EOT
fi

# Step 4: Build frontend
echo "Building frontend..."
cd ../frontend
npm run build

# Step 5: Move build files to backend
echo "Moving build files to backend..."
rm -rf ../backend/public
mv build ../backend/public

# Step 6: Done
echo "Setup complete! Run 'npm start' in the backend directory to start the application."
